#!/usr/bin/python
# coding: UTF-8
# Rec10 TS Recording Tools
# Copyright (C) 2009 Yukikaze

global z_ascii
global h_ascii
global z_number
global h_number
z_ascii=u"ＡＢＣＤＥＦＧＨＩＪＫＬＭＮＯＰＱＲＳＴＵＶＷＸＹＺａｂｃｄｅｆｇｈｉｊｋｌｍｎｏｐｑｒｓｔｕｖｗｘｙｚ　！”＃＄％＆’（）＊＋，−．／：；＜＝＞？＠［￥］＾＿‘｛｜｝〜　"
h_ascii=u"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz !\"#$%&'()*+,-./:;<=>?@[\]^_`{|}~ "
z_number=u"０１２３４５６７８９"
h_number=u"0123456789"
def toHankaku(str):
    retstr=u""
    for s in str:
        i=z_ascii.find(s)
        if (i != -1):
            s=h_ascii[i]
        i=z_number.find(s)
        if (i != -1):
            s=h_number[i]
        retstr=retstr+s
    return retstr


